Bug Hunting Session
Bug 124778 - View - Comments causes crash
Summary: View - Comments causes crash
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, needUITest, regression
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2019-04-16 19:28 UTC by Buovjaga
Modified: 2019-04-17 14:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace of crash from Linux (20.15 KB, text/plain)
2019-04-16 19:28 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-04-16 19:28:37 UTC
Created attachment 150801 [details]
Backtrace of crash from Linux

1. In Calc, Insert - Comment
2. View - Comments

I was unable to do a bibisect because my 6.3 repo is somehow broken. I guess I have to re-clone it tomorrow.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 9030ffb1a1b282eb2c6d1773930b0de0d42df447
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 13 April 2019

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3083fe569f96bf0289da1e9d0ef7da15ab22e2f6
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-16_03:05:57
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 1 m.a.riosv 2019-04-16 20:15:41 UTC
Repro
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3083fe569f96bf0289da1e9d0ef7da15ab22e2f6
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-16_03:05:57
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL
Comment 2 Xisco Faulí 2019-04-16 20:27:40 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200
commit	7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree	2776ad9601f494330076ac58c08554e719c6ab3a
parent	df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 3 Xisco Faulí 2019-04-16 20:31:14 UTC
https://cgit.freedesktop.org/libreoffice/core/commit/?id=7f37bfa25a16bc66af4c236850503de1d0fb8336 fixes the out of bounds error when inserting a comment but not the crash when clicking on view - comments
Comment 4 Buovjaga 2019-04-16 20:39:39 UTC
Severity is critical per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 5 Julien Nabet 2019-04-17 10:36:44 UTC
Just for the record https://gerrit.libreoffice.org/#/c/70862/ from Noel on review.
Comment 6 Commit Notification 2019-04-17 13:01:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6ba15ac96bf143bdc7ab480fd0273060862e8662%5E%21

tdf#124778 View - Comments causes crash

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2019-04-17 14:21:28 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: d7f4f5650dd2c7fe1ccec50efd806e695b8bc18a
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 17 April 2019